require "shipping.rb"
require "correios.rb"

module Ship
	class Ship
		CORREIOS = 0

		def self.providers(country=nil)
			@providers = [Correios.new]
			return @providers if country.nil?
			self.providers.select do |provider| 
				provider.countries.select {|c| c.code==country}.size>0
			end				
		end			

		def self.cost(provider,shipping)
			provider.cost(shipping)
		end

		def self.where(provider,shipping)
			provider.where(shipping)
		end
	end
end
